Subject: Ticket Assigned - Delivery
From: Centrepoint <[email-masked]>
To: [email-masked]
Date: Wed, 12 May 2021 02:57:21 +0000

Hi Abdulqader Ahmed,  A new ticket has been assigned to you. Please follow the link below to view the ticket.  Delivery Hi My order number is 6304235504
I ordered 5 items but just received 2 items and 3 of the items were missing. The status of my order is marked as delivered completely but actually it is missing the two T shirts and one pair of earrings. I only got the two toy items. I contacted your chat bot and he said it is delivered but I keep on telling him that it isnt. I called the customer service and they said they will call me back. It has been 3 days no response and my issue is still pending.
I am a very regular customer of landmark group, you can check my shopping history. This kind of disappointing and non-professional attitude by centrepoint team has made we feel really bad. A lot of my time and energy is getting wasted on contacting you people again and again......very poor service

Please deliver my missing items as soon as possible !! https://landmarkgroupservice.freshdesk.com/helpdesk/tickets/2557984